Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.document.io.phyloxml
Interface PhyloXMLConstants

All Known Implementing Classes:
  PhyloXMLFilter, PhyloXMLReader

    public interface PhyloXMLConstants

Provides XML constants for the phyloXML format.

Since:
  2.0.35
Author:
  Ben Stöver

Field Summary
`static QName` | `ATTR_BRANCH_LENGTH`
`static QName` | `ATTR_BRANCH_LENGTH_UNIT`
`static QName` | `ATTR_ROOTED`
`static QName` | `ATTR_TYPE`
`static String` | `BRANCH_WIDT_DATA_NAME`
`static String` | `DEFAULT_CONFIDENCE_NAME`
`static String` | `DEFAULT_TREE_NAME`
`static String` | `ID_PREFIX`
`static String` | `NAMESPACE_URI`
`static QName` | `TAG_ACCESSION`
`static QName` | `TAG_AUTHORITY`
`static QName` | `TAG_BRANCH_LENGTH`
`static QName` | `TAG_CLADE`
`static QName` | `TAG_CODE`
`static QName` | `TAG_COLOR_BLUE`
`static QName` | `TAG_COLOR_GREEN`
`static QName` | `TAG_COLOR_RED`
`static QName` | `TAG_COMMON_NAME`
`static QName` | `TAG_CONFIDENCE`
`static QName` | `TAG_DATE`
`static QName` | `TAG_DESCRIPTION`
`static QName` | `TAG_DISTRIBUTION`
`static QName` | `TAG_LINE_COLOR`
`static QName` | `TAG_LINE_WIDTH`
`static QName` | `TAG_LOCATION`
`static QName` | `TAG_MAX`
`static QName` | `TAG_MIN`
`static QName` | `TAG_NAME`
`static QName` | `TAG_PHYLOGENY`
`static QName` | `TAG_RANK`
`static QName` | `TAG_ROOT`
`static QName` | `TAG_SCIENTIFIC_NAME`
`static QName` | `TAG_SEQUENCE`
`static QName` | `TAG_SYMBOL`
`static QName` | `TAG_SYNONYM`
`static QName` | `TAG_TAXONOMY`
`static QName` | `TAG_VALUE`

Field Detail

### ID_PREFIX

    static final String ID_PREFIX

See Also:
  Constant Field Values

### DEFAULT_CONFIDENCE_NAME

    static final String DEFAULT_CONFIDENCE_NAME

See Also:
  Constant Field Values

### DEFAULT_TREE_NAME

    static final String DEFAULT_TREE_NAME

See Also:
  Constant Field Values

### BRANCH_WIDT_DATA_NAME

    static final String BRANCH_WIDT_DATA_NAME

See Also:
  Constant Field Values

### NAMESPACE_URI

    static final String NAMESPACE_URI

See Also:
  Constant Field Values

### TAG_ROOT

    static final QName TAG_ROOT

### TAG_PHYLOGENY

    static final QName TAG_PHYLOGENY

### ATTR_ROOTED

    static final QName ATTR_ROOTED

### ATTR_BRANCH_LENGTH_UNIT

    static final QName ATTR_BRANCH_LENGTH_UNIT

### TAG_CLADE

    static final QName TAG_CLADE

### ATTR_BRANCH_LENGTH

    static final QName ATTR_BRANCH_LENGTH

### TAG_NAME

    static final QName TAG_NAME

### TAG_BRANCH_LENGTH

    static final QName TAG_BRANCH_LENGTH

### TAG_LINE_WIDTH

    static final QName TAG_LINE_WIDTH

### TAG_CONFIDENCE

    static final QName TAG_CONFIDENCE

### ATTR_TYPE

    static final QName ATTR_TYPE

### TAG_LINE_COLOR

    static final QName TAG_LINE_COLOR

### TAG_COLOR_RED

    static final QName TAG_COLOR_RED

### TAG_COLOR_GREEN

    static final QName TAG_COLOR_GREEN

### TAG_COLOR_BLUE

    static final QName TAG_COLOR_BLUE

### TAG_TAXONOMY

    static final QName TAG_TAXONOMY

### TAG_CODE

    static final QName TAG_CODE

### TAG_SCIENTIFIC_NAME

    static final QName TAG_SCIENTIFIC_NAME

### TAG_AUTHORITY

    static final QName TAG_AUTHORITY

### TAG_COMMON_NAME

    static final QName TAG_COMMON_NAME

### TAG_SYNONYM

    static final QName TAG_SYNONYM

### TAG_RANK

    static final QName TAG_RANK

### TAG_SEQUENCE

    static final QName TAG_SEQUENCE

### TAG_SYMBOL

    static final QName TAG_SYMBOL

### TAG_ACCESSION

    static final QName TAG_ACCESSION

### TAG_LOCATION

    static final QName TAG_LOCATION

### TAG_DISTRIBUTION

    static final QName TAG_DISTRIBUTION

### TAG_DESCRIPTION

    static final QName TAG_DESCRIPTION

### TAG_DATE

    static final QName TAG_DATE

### TAG_VALUE

    static final QName TAG_VALUE

### TAG_MIN

    static final QName TAG_MIN

### TAG_MAX

    static final QName TAG_MAX

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD